Create Filtered Order Stream

Provisions a new custom real-time stream subject to account quotas (max_streams, max_naked_streams, max_filter_addrs, max_filter_tags, max_filter_series)
POST/streams

Request Parameters

Required headers and parameter specifications for this endpoint.

Headers
HeaderTypeRequiredDescription
X-PolyEdge-KeystringrequiredPolyEdge API Key for client authentication and rate-limiting
Content-TypestringrequiredMust be set to application/json
Request Body (application/json)
Request Payload
FieldTypeDescription
addresses
string[]-
name
string-
series
string[]-
tags
string[]-

Response (201 Created)

Field definitions for the successful response payload.

application/json
201 Response Example
json
{
  "active_sessions": 0,
  "addresses": [],
  "created_at": "2026-09-29T09:01:46.05491822Z",
  "enabled": true,
  "id": "9bae9005-9ef1-4f17-8658-36ea54536836",
  "name": "Temporary Sample Stream",
  "series": [
    "btc-up-or-down-5m"
  ],
  "tags": [],
  "updated_at": "2026-09-29T09:01:46.05491822Z"
}
Response Body Fields
FieldTypeDescription
active_sessions
integer-
addresses
string[]-
created_at
string-
enabled
boolean-
id
string-
name
string-
series
string[]-
tags
string[]-
updated_at
string-

cURL Example

Copy and run this command directly in your terminal to test this endpoint.

cURL: POST /streams
bash
curl -X POST "https://stream.polyedge.dev/streams" \
  -H "Content-Type: application/json" \
  -H "X-PolyEdge-Key: Your-PolyEdge-ApiKey" \
  -d '{
    "addresses": [
      "0x34dd4a4b70eaf79a17878f7938263c801d4dfd83"
    ],
    "name": "Whale Smart Money Tracker",
    "series": [
      "epl"
    ],
    "tags": [
      "sports",
      "crypto"
    ]
  }'